#include <iostream>
#include <cmath>
using namespace std;

int main()
{
    int n,q;
    cin>>n>>q;
    int a[n],b[q];
    for(int i=0; i<n; i++)
    {
        int a1;
        cin>>a1;
        a[i]=a1;
    }
    for(int i=0; i<q; i++)
    {
        int b1;
        cin>>b1;
        b[i]=b1;
    }

    for(int i=0; i<q; i++)
    {
        int m=0, v=0, jed=0;
        for(int j=0; j<n; j++)
        {
            if(b[i]<a[j])
                v++;
            if(b[i]>a[j])
                m++;
            if(b[i]==a[j])
                jed++;
        }

        int rez;
        if((abs(v-m)-jed)<0)
            rez=0;
        else if(m==v)
            rez=1;
        else if(m<v)
            rez=v-m-jed+1;
        else
            rez= m-v-jed;

        cout<<rez<<endl;
    }

    return 0;
}